[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.GetControlOrigin

Find the origin (top left pixel) of this control on the screen

## Declaration

Source position: controls.pp line 1068

`protected function TControl.GetControlOrigin: TPoint; virtual;`

## Description

Returns the screen coordinate of the topleft coordinate 0,0 of the control area. (The topleft pixel of the control on the screen)

Remark: | Note that this value is the position as stored in the interface and is not always in sync with the LCL. When a control is moved, the LCL sets the bounds to the wanted position and sends a move message to the interface. It is up to the interface to handle moves instantly or queued.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.